GDCM 3.2.1

List of all members
gdcm::Codec Class Reference

Codec class. More...

`#include <gdcmCodec.h>`

Inheritance diagram for gdcm::Codec:
[legend]
Collaboration diagram for gdcm::Codec:
[legend]

## Additional Inherited Members
Public Member Functions inherited from gdcm::Coder
virtual | ~Coder ()=default
virtual bool | CanCode (TransferSyntax const &) const =0
| Return whether this coder support this transfer syntax (can code it)
virtual bool | Code (DataElement const &in_, DataElement &out_)
| Code.
Public Member Functions inherited from gdcm::Decoder
virtual | ~Decoder ()=default
virtual bool | CanDecode (TransferSyntax const &) const =0
| Return whether this decoder support this transfer syntax (can decode it)
virtual bool | Decode (DataElement const &, DataElement &)
| Decode.
Protected Member Functions inherited from gdcm::Coder
virtual bool | InternalCode (const char *bv, unsigned long len, std::ostream &os)
Protected Member Functions inherited from gdcm::Decoder
virtual bool | DecodeByStreams (std::istream &, std::ostream &)

## Detailed Description

Codec class.

The documentation for this class was generated from the following file:

- gdcmCodec.h